﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinDataSource;


namespace BoundToUltraDS
{
    class ViewModel
    {
        public UltraDataSource ultraDataSource1 { get; set; }

        public ViewModel()
        {
            ultraDataSource1 = new UltraDataSource();
            this.ultraDataSource1.Band.Columns.Add("Col0", typeof(string));
            this.ultraDataSource1.Band.Columns.Add("Col1", typeof(string));

            // Add a child band to the root band with the key of "ChildBand". 
            UltraDataBand childBand =
              this.ultraDataSource1.Band.ChildBands.Add("ChildBand");


            // Add two columns to the child band. 
            childBand.Columns.Add("ChildCol0", typeof(string));
            childBand.Columns.Add("ChildCol1", typeof(string));

            // Set the count on the root rows collection to 2. 
            this.ultraDataSource1.Rows.SetCount(2);

            UltraDataRow row;

            // Initialize rows with data. 

            // Get the first row. 
            row = this.ultraDataSource1.Rows[0];
            row["Col0"] = "Row 0, Col 0";
            row["Col1"] = "Row 0, Col 1";

            // Initialize the child rows of the row. 
            UltraDataRowsCollection childRows = row.GetChildRows("ChildBand");
            childRows.SetCount(2);
            childRows[0]["ChildCol0"] = "Child Row 0, ChildCol 0";
            childRows[0]["ChildCol1"] = "Child Row 0, ChildCol 1";

            childRows[1]["ChildCol0"] = "Child Row 1, ChildCol 0";
            childRows[1]["ChildCol1"] = "Child Row 1, ChildCol 1";

            // Get the second row. 
            row = this.ultraDataSource1.Rows[1];
            row["Col0"] = "Row 1, Col 0";
            row["Col1"] = "Row 1, Col 1";

            // Initialize the child rows of the row. 
            childRows = row.GetChildRows("ChildBand");
            childRows.SetCount(1);

        }

    }
}
